%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-vfs
Version:          3.2.2
Release:          %mkrel 2
Summary:          JBoss Virtual File System
Group:            Development/Java
License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-vfs/
Source0:          https://github.com/jbossas/jboss-vfs/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-checkstyle-plugin
BuildRequires:    maven-plugin-cobertura
BuildRequires:    maven-dependency-plugin
BuildRequires:    maven-ear-plugin
BuildRequires:    maven-eclipse-plugin
BuildRequires:    maven-ejb-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools
BuildRequires:    junit4
BuildRequires:    jboss-parent

%description
This package contains the JBoss Virtual File System.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-vfs-%{namedversion}

rm -rf src/test/resources/vfs/test/zipeinit.jar

%build
# Skipped because jboss-test is not packaged yet
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 3.2.2-2.mga4
+ Revision: 541955
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 3.2.2-1.mga4
+ Revision: 496613
- New version

* Sat Jan 12 2013 umeabot <umeabot> 3.0.1-2.mga3
+ Revision: 355179
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 05 2011 dmorgan <dmorgan> 3.0.1-1.mga2
+ Revision: 131967
- Fix typo
- Sync with fedora

  + gil <gil>
    - imported package jboss-vfs


* Tue Jul 05 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.1-1
- Initial packaging

